package com.navdy.hud.app.ui.component.homescreen;

import android.content.res.Resources;
import com.navdy.hud.app.HudApplication;

public class HomeScreenResourceValues
{
    public static final int activeMapHeight;
    public static final int activeRoadEarlyManeuverShrinkLeftX;
    public static final int activeRoadEarlyManeuverShrinkRightX;
    public static final int activeRoadEarlyManeuverWidth;
    public static final int activeRoadEarlyManeuverWidthShrunk;
    public static final int activeRoadEarlyManeuverX;
    public static final int activeRoadEarlyManeuverY;
    public static final int activeRoadEarlyManeuverYShrunk;
    public static final int activeRoadInfoDistanceX;
    public static final int activeRoadInfoIconShrinkLeftX;
    public static final int activeRoadInfoIconShrinkRightX;
    public static final int activeRoadInfoIconX;
    public static final int activeRoadInfoInstructionShrinkLeftX;
    public static final int activeRoadInfoInstructionShrinkRightX;
    public static final int activeRoadInfoInstructionShrinkWidth;
    public static final int activeRoadInfoInstructionTranslationYAnimation;
    public static final int activeRoadInfoInstructionWidth;
    public static final int activeRoadInfoInstructionX;
    public static final int activeRoadProgressBarWidth;
    public static final int activeRoadShrunkDistanceShrinkLeftX;
    public static final int activeRoadShrunkDistanceShrinkRightX;
    public static final int activeRoadShrunkDistanceX;
    public static final int activeRoadShrunkDistanceY;
    public static final int activeRoadShrunkProgressBarWidth;
    public static final int badTrafficColor;
    public static final String calcRoute;
    public static final String cancelTrip;
    public static final int etaShrinkLeftX;
    public static final int etaX;
    public static final String exitStr;
    public static final int fullWidth;
    public static final int goodTrafficColor;
    public static final int iconIndicatorActiveY;
    public static final int iconIndicatorOpenY;
    public static final int iconIndicatorShrinkLeft_X;
    public static final int iconIndicatorShrinkModeX;
    public static final int iconIndicatorShrinkRight_X;
    public static final int iconIndicatorX;
    public static final int laneGuidanceY;
    public static final int mainScreenRightSectionShrinkX;
    public static final int mainScreenRightSectionX;
    public static final int mapMaskShrinkLeftX;
    public static final int mapMaskShrinkRightX;
    public static final int mapMaskShrinkWidth;
    public static final int mapMaskX;
    public static final int mapViewShrinkLeftX;
    public static final int mapViewShrinkModeX;
    public static final int mapViewShrinkRightX;
    public static final int mapViewX;
    public static final int noLocationImageShrinkLeftX;
    public static final int noLocationImageShrinkRightX;
    public static final int noLocationImageX;
    public static final int noLocationTextShrinkLeftX;
    public static final int noLocationTextShrinkRightX;
    public static final int noLocationTextX;
    public static final int openMapHeight;
    public static final int openMapRoadInfoMargin;
    public static final int openMapRoadInfoShrinkLeft_L_Margin;
    public static final int openMapRoadInfoShrinkLeft_R_Margin;
    public static final int openMapRoadInfoShrinkRight_L_Margin;
    public static final int openMapRoadInfoShrinkRight_R_Margin;
    public static final int reCalcAnimColor;
    public static final int recalcShrinkLeftX;
    public static final int recalcShrinkRightX;
    public static final int recalcX;
    public static final String retry;
    public static final String routeCalcFailed;
    public static final int routeCalcFailureColor;
    public static final int routeCalcIndicatorX;
    public static final int routeCalcInfoShrinkLeftX;
    public static final int routeCalcInfoShrinkRightX;
    public static final int routeCalcInfoShrinkWidth;
    public static final int routeCalcInfoWidth;
    public static final int routeCalcInfoX;
    public static final int routeCalcProgressShrinkLeftX;
    public static final int routeCalcProgressShrinkRightX;
    public static final int routeCalcProgressX;
    public static final int routeCalcRouteNameX;
    public static final int routeOverviewBoxHeight;
    public static final int routeOverviewBoxWidth;
    public static final int routeOverviewBoxX;
    public static final int routeOverviewBoxY;
    public static final int routePickerBoxHeight;
    public static final int routePickerBoxWidth;
    public static final int routePickerBoxX;
    public static final int routePickerBoxY;
    public static final String speedKm;
    public static final String speedMeters;
    public static final String speedMph;
    public static final int speedShrinkLeftX;
    public static final int speedShrinkRightX;
    public static final int speedX;
    public static final int startFluctuatorDimension;
    public static final int timeShrinkLeftX;
    public static final int timeShrinkRightX;
    public static final int timeX;
    public static final int topViewLeftAnimationIn;
    public static final int topViewLeftAnimationOut;
    public static final int topViewRightAnimationIn;
    public static final int topViewRightAnimationOut;
    public static final int topViewSpeedOut;
    public static final int transformCenterIconHeight;
    public static final int transformCenterIconWidth;
    public static final int transformCenterMapOnRouteOverviewY;
    public static final int transformCenterMapOnRouteY;
    public static final int transformCenterMoveX;
    public static final int transformCenterOverviewRouteY;
    public static final int transformCenterOverviewX;
    public static final int transformCenterOverviewY;
    public static final int transformCenterPickerY;
    public static final int transformCenterShrinkLeftX;
    public static final int transformCenterShrinkRightX;
    public static final int transformCenterX;
    
    static {
        final Resources resources = HudApplication.getAppContext().getResources();
        speedMph = resources.getString(R.string.miles_per_hour);
        speedKm = resources.getString(R.string.kilometers_per_hour);
        speedMeters = resources.getString(R.string.meters_per_second);
        exitStr = resources.getString(R.string.exit_number);
        calcRoute = resources.getString(R.string.calc_route);
        cancelTrip = resources.getString(R.string.cancel_trip);
        routeCalcFailed = resources.getString(R.string.route_calc_failed);
        retry = resources.getString(R.string.retry);
        reCalcAnimColor = resources.getColor(R.color.recalc_anim_color);
        badTrafficColor = resources.getColor(R.color.traffic_bad);
        goodTrafficColor = resources.getColor(R.color.traffic_good);
        routeCalcFailureColor = resources.getColor(R.color.route_calc_failure);
        activeMapHeight = (int)resources.getDimension(R.dimen.active_map_height);
        openMapHeight = (int)resources.getDimension(R.dimen.open_map_height);
        mainScreenRightSectionX = resources.getDimensionPixelSize(R.dimen.main_screen_right_section_x);
        mainScreenRightSectionShrinkX = resources.getDimensionPixelSize(R.dimen.main_screen_right_section_shrink_x);
        openMapRoadInfoMargin = (int)resources.getDimension(R.dimen.open_map_road_info_margin);
        openMapRoadInfoShrinkLeft_L_Margin = (int)resources.getDimension(R.dimen.open_map_road_info_shrink_left_margin_l);
        openMapRoadInfoShrinkLeft_R_Margin = (int)resources.getDimension(R.dimen.open_map_road_info_shrink_left_margin_r);
        openMapRoadInfoShrinkRight_L_Margin = (int)resources.getDimension(R.dimen.open_map_road_info_shrink_right_margin_l);
        openMapRoadInfoShrinkRight_R_Margin = (int)resources.getDimension(R.dimen.open_map_road_info_shrink_right_margin_r);
        iconIndicatorX = (int)resources.getDimension(R.dimen.map_icon_indicator_x);
        iconIndicatorOpenY = (int)resources.getDimension(R.dimen.map_icon_indicator_open_y);
        iconIndicatorActiveY = (int)resources.getDimension(R.dimen.map_icon_indicator_active_y);
        iconIndicatorShrinkLeft_X = (int)resources.getDimension(R.dimen.map_icon_indicator_shrink_left_x);
        iconIndicatorShrinkRight_X = (int)resources.getDimension(R.dimen.map_icon_indicator_shrink_right_x);
        iconIndicatorShrinkModeX = (int)resources.getDimension(R.dimen.map_icon_indicator_shrink_mode_x);
        mapViewX = (int)resources.getDimension(R.dimen.map_view_x);
        mapViewShrinkLeftX = (int)resources.getDimension(R.dimen.map_view_shrink_left_x);
        mapViewShrinkRightX = (int)resources.getDimension(R.dimen.map_view_shrink_right_x);
        mapViewShrinkModeX = resources.getDimensionPixelSize(R.dimen.map_view_shrink_mode_x);
        mapMaskX = (int)resources.getDimension(R.dimen.map_mask_x);
        mapMaskShrinkLeftX = (int)resources.getDimension(R.dimen.map_mask_shrink_left_x);
        mapMaskShrinkRightX = (int)resources.getDimension(R.dimen.map_mask_shrink_right_x);
        mapMaskShrinkWidth = (int)resources.getDimension(R.dimen.map_mask_shrink_width);
        fullWidth = (int)resources.getDimension(R.dimen.dashboard_width);
        etaX = (int)resources.getDimension(R.dimen.eta_left_x);
        etaShrinkLeftX = (int)resources.getDimension(R.dimen.eta_shrink_left_x);
        activeRoadInfoDistanceX = (int)resources.getDimension(R.dimen.active_road_info_distance_x);
        activeRoadInfoIconX = (int)resources.getDimension(R.dimen.active_road_info_icon_x);
        activeRoadInfoInstructionX = (int)resources.getDimension(R.dimen.active_road_info_instruction_x);
        activeRoadInfoInstructionTranslationYAnimation = (int)resources.getDimension(R.dimen.active_road_info_instruction_y_translation_anim);
        activeRoadInfoIconShrinkLeftX = (int)resources.getDimension(R.dimen.active_road_info_icon_shrink_left_x);
        activeRoadInfoIconShrinkRightX = (int)resources.getDimension(R.dimen.active_road_info_icon_shrink_right_x);
        activeRoadInfoInstructionShrinkLeftX = (int)resources.getDimension(R.dimen.active_road_info_instruction_shrink_left_x);
        activeRoadInfoInstructionShrinkRightX = (int)resources.getDimension(R.dimen.active_road_info_instruction_shrink_right_x);
        activeRoadInfoInstructionWidth = (int)resources.getDimension(R.dimen.active_road_info_instruction_width);
        activeRoadInfoInstructionShrinkWidth = (int)resources.getDimension(R.dimen.active_road_info_instruction_shrink_width);
        activeRoadProgressBarWidth = (int)resources.getDimension(R.dimen.active_road_progress_bar_width);
        activeRoadEarlyManeuverX = (int)resources.getDimension(R.dimen.active_road_early_maneuver_x);
        activeRoadEarlyManeuverY = (int)resources.getDimension(R.dimen.active_road_early_maneuver_y);
        activeRoadEarlyManeuverYShrunk = (int)resources.getDimension(R.dimen.active_road_early_maneuver_y_shrunk);
        activeRoadEarlyManeuverShrinkLeftX = (int)resources.getDimension(R.dimen.active_road_early_maneuver_shrink_left_x);
        activeRoadEarlyManeuverShrinkRightX = (int)resources.getDimension(R.dimen.active_road_early_maneuver_shrink_right_x);
        activeRoadEarlyManeuverWidth = (int)resources.getDimension(R.dimen.active_road_early_maneuver_width);
        activeRoadEarlyManeuverWidthShrunk = (int)resources.getDimension(R.dimen.active_road_early_maneuver_shrink_width);
        activeRoadShrunkDistanceX = (int)resources.getDimension(R.dimen.active_road_shrunk_distance_x);
        activeRoadShrunkDistanceY = (int)resources.getDimension(R.dimen.active_road_shrunk_distance_y);
        activeRoadShrunkDistanceShrinkLeftX = (int)resources.getDimension(R.dimen.active_road_shrunk_distance_left_x);
        activeRoadShrunkDistanceShrinkRightX = (int)resources.getDimension(R.dimen.active_road_shrunk_distance_right_x);
        activeRoadShrunkProgressBarWidth = (int)resources.getDimension(R.dimen.active_road_shrunk_progress_bar_width);
        recalcX = (int)resources.getDimension(R.dimen.recalc_lyt_x);
        recalcShrinkLeftX = (int)resources.getDimension(R.dimen.recalc_lyt_shrink_left_x);
        recalcShrinkRightX = (int)resources.getDimension(R.dimen.recalc_lyt_shrink_right_x);
        speedX = (int)resources.getDimension(R.dimen.speed_left_x);
        speedShrinkLeftX = (int)resources.getDimension(R.dimen.speed_shrink_left_x);
        speedShrinkRightX = (int)resources.getDimension(R.dimen.speed_shrink_right_x);
        timeX = (int)resources.getDimension(R.dimen.time_left_x);
        timeShrinkLeftX = (int)resources.getDimension(R.dimen.time_shrink_left_x);
        timeShrinkRightX = (int)resources.getDimension(R.dimen.time_shrink_right_x);
        routeCalcIndicatorX = (int)resources.getDimension(R.dimen.route_calc_indicator_x);
        routeCalcRouteNameX = (int)resources.getDimension(R.dimen.route_calc_route_name_x);
        routeCalcProgressX = (int)resources.getDimension(R.dimen.route_calc_progress_x);
        routeCalcProgressShrinkLeftX = (int)resources.getDimension(R.dimen.route_calc_progress_shrink_left_x);
        routeCalcProgressShrinkRightX = (int)resources.getDimension(R.dimen.route_calc_progress_shrink_right_x);
        routeCalcInfoX = (int)resources.getDimension(R.dimen.route_calc_info_x);
        routeCalcInfoShrinkLeftX = (int)resources.getDimension(R.dimen.route_calc_info_shrink_left_x);
        routeCalcInfoShrinkRightX = (int)resources.getDimension(R.dimen.route_calc_info_shrink_right_x);
        routeCalcInfoWidth = (int)resources.getDimension(R.dimen.route_calc_info_width);
        routeCalcInfoShrinkWidth = (int)resources.getDimension(R.dimen.route_calc_info_shrink_width);
        noLocationImageX = (int)resources.getDimension(R.dimen.no_location_image_x);
        noLocationImageShrinkLeftX = (int)resources.getDimension(R.dimen.no_location_image_shrink_left_x);
        noLocationImageShrinkRightX = (int)resources.getDimension(R.dimen.no_location_image_shrink_right_x);
        noLocationTextX = (int)resources.getDimension(R.dimen.no_location_text_x);
        noLocationTextShrinkLeftX = (int)resources.getDimension(R.dimen.no_location_text_shrink_left_x);
        noLocationTextShrinkRightX = (int)resources.getDimension(R.dimen.no_location_text_shrink_right_x);
        transformCenterX = (int)resources.getDimension(R.dimen.transform_center_x);
        transformCenterShrinkLeftX = (int)resources.getDimension(R.dimen.transform_center_shrink_left_x);
        transformCenterShrinkRightX = (int)resources.getDimension(R.dimen.transform_center_shrink_right_x);
        transformCenterMapOnRouteY = (int)resources.getDimension(R.dimen.transform_center_map_on_route_y);
        transformCenterIconWidth = (int)resources.getDimension(R.dimen.transform_center_icon_width);
        transformCenterIconHeight = (int)resources.getDimension(R.dimen.transform_center_icon_height);
        transformCenterOverviewX = (int)resources.getDimension(R.dimen.transform_center_overview_x);
        transformCenterMapOnRouteOverviewY = (int)resources.getDimension(R.dimen.transform_center_map_on_route_overview_y);
        transformCenterOverviewY = (int)resources.getDimension(R.dimen.transform_center_overview_y);
        transformCenterOverviewRouteY = (int)resources.getDimension(R.dimen.transform_center_overview_route_y);
        transformCenterPickerY = resources.getDimensionPixelSize(R.dimen.transform_center_picker_y);
        transformCenterMoveX = resources.getDimensionPixelSize(R.dimen.transform_center_picker_move_x);
        routePickerBoxX = (int)resources.getDimension(R.dimen.route_pick_box_x);
        routePickerBoxY = (int)resources.getDimension(R.dimen.route_pick_box_y);
        routePickerBoxWidth = (int)resources.getDimension(R.dimen.route_pick_box_width);
        routePickerBoxHeight = (int)resources.getDimension(R.dimen.route_pick_box_height);
        routeOverviewBoxX = (int)resources.getDimension(R.dimen.route_overview_box_x);
        routeOverviewBoxY = (int)resources.getDimension(R.dimen.route_overview_box_y);
        routeOverviewBoxWidth = (int)resources.getDimension(R.dimen.route_overview_box_width);
        routeOverviewBoxHeight = (int)resources.getDimension(R.dimen.route_overview_box_height);
        topViewLeftAnimationOut = (int)resources.getDimension(R.dimen.top_view_left_animation_x_out);
        topViewLeftAnimationIn = (int)resources.getDimension(R.dimen.top_view_left_animation_x_in);
        topViewRightAnimationOut = (int)resources.getDimension(R.dimen.top_view_right_animation_x_out);
        topViewRightAnimationIn = (int)resources.getDimension(R.dimen.top_view_right_animation_x_in);
        laneGuidanceY = resources.getDimensionPixelSize(R.dimen.lane_guidance_y);
        topViewSpeedOut = (int)resources.getDimension(R.dimen.top_view_speed_out);
        startFluctuatorDimension = (int)resources.getDimension(R.dimen.start_fluctuator);
    }
}
